
<div class="is-flex has-border">
    <img [className]="globals.isMobile ? 'is-mobile' : 'is-desktop'" src="../../assets/images/LogoCheck.png">
    <div class="is-flex is-justify-center is-column is-align-center">
      <h1 [className]="globals.isMobile ? 'is-mobile' : 'is-desktop'">Valider votre email.</h1>
      <button #ActiveButton class="button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2" id="submit" (click)="validateEmail()">✨Valider mon email !✨</button>
    </div>
</div>

<div #Success class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="globals.isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/checkProfil.png">
        <p class="modal-card-title has-margin-top-1">Validation de l'email réussie !</p>
      </div>
      <button (click)="cancel('success')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body is-flex is-column">
      <p class="is-modal-paragraph"> Votre email a bien été validé.</p>
      <button class="default-style submit-style has-margin-top-10" (click)="redirect()">Valider</button>
    </section>
  </div>
</div>
<div #Failure class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="globals.isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/error.png">
        <p class="modal-card-title has-margin-top-1">Une erreur est survenue !</p>
      </div>
      <button (click)="cancel('failure')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body is-flex is-column">
      <p class="is-modal-paragraph"> Il semble y avoir un problème.</p>
      <button class="default-style failure-style has-margin-top-10" (click)="validateEmail()">Réessayer</button>
    </section>
  </div>
</div>